<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.prime.com.tr/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core">

    <body>

        <ui:composition template="./WEB-INF/skiSchoolTemplate.xhtml">
            <ui:param name="pageTitle" value="#{msgs.site_payments}" />
            <ui:define name="content">

                <p:panel rendered="#{securityBean.inRoleAdministrator}">
                    <h:form id="dates">
                        <h:panelGrid columns="2">
                            <h:outputText value="#{msgs.global_from}"/>
                            <p:calendar value="#{selectBean.startDate}"
                                        pattern="dd.MM.yyyy"
                                        timeZone="GMT+1"
                                        locale="sk"/>

                            <h:outputText value="#{msgs.global_to}"/>
                            <p:calendar value="#{selectBean.endDate}"
                                        pattern="dd.MM.yyyy"
                                        timeZone="GMT+1"
                                        locale="sk"/>
                        </h:panelGrid>
                        <p:messages/>
                        <p:commandButton value="#{msgs.global_filter}" actionListener="#{selectBean.checkDates}" update="dates, instructors"/>
                    </h:form>
                </p:panel>

                <h:form id="instructors">
                    <p:dataTable value="#{instructorsBean.allInstructors}" var="instructor" rendered="#{securityBean.inRoleAdministrator}">
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.global_instructor}"/>
                            </f:facet>
                            <h:outputText value="#{instructor.firstName} #{instructor.lastName}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.lesson_standardlessons}"/>
                            </f:facet>
                            <h:outputText value="#{selectBean.countIndividualLessons(instructor)}"/>
                        </p:column>
                         <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.lesson_grouplessons}"/>
                            </f:facet>
                             <h:outputText value="#{selectBean.countGroupLessons(instructor)}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.lesson_kindergartenlessons}"/>
                            </f:facet>
                            <h:outputText value="#{selectBean.countKindergartenLessons(instructor)}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.lesson_lessonstotal}"/>
                            </f:facet>
                            <h:outputText value="#{selectBean.countLessonsTotal(instructor)}"/>
                        </p:column>
                         <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{msgs.lesson_languagebonus}"/>
                            </f:facet>
                             <h:outputText value="#{selectBean.countLessonsLangBonus(instructor)}"/>
                        </p:column>
                    </p:dataTable>
                </h:form>

            </ui:define>
        </ui:composition>

    </body>
</html>
